#
# spec file for package hyena
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hyena
Version:        0.5
Release:        bp156.3.1
Summary:        Library for .NET applications
License:        MIT
Group:          Development/Libraries/GNOME
Url:            http://banshee-project.org/
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM coolo@opensuse.org - broken Makefile syntax
Patch0:         fix-makefile.diff
Patch1:         hyena-dotnet4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib-sharp2
BuildRequires:  gtk-sharp2
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  mono-basic
BuildRequires:  mono-devel
BuildRequires:  mono-nunit
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig
Requires:       gtk-sharp2
Requires:       mono
Requires:       mono-core

%description
Hyena is a .NET library that powers Banshee and PDF Mod, among others.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
autoreconf -fiv -I build/m4/shamrock
%configure 
make

%install
%makeinstall
#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
#%doc AUTHORS NEWS README COPYING
%{_libdir}/%{name}
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Jul 19 2016 dimstar@opensuse.org
- Update hyena-dotnet4.patch: move to .Net 4.5.
* Tue Jan 29 2013 dimstar@opensuse.org
- Add hyena-dotnet4.patch: Build for .Net 4.0 target.
- Call autoreconf, as above patch touches the build system.
* Tue Mar 15 2011 coolo@novell.com
- version 0.5
  General:
  * Update to build on Windows with MonoDevelop 2.2.1
  * Disable CheckForOverflowUnderflow in many .csproj
  * Can now include hyena as a git submodule within other projects
  Hyena:
  * Bind gtk_show_uri (bgo#587320)
  * Add StringUtil.EscapeLike
  * Add stream based hashing
  * Add an ApplicationName property to ApplicationContext
  * New SafeUri class
  * New Hyena.Downloader namespace/API
  * New Paths class (bgo#605891)
  * Handle bad indices in MemoryListModel
  * Fix LruCache item expiration
  * Add thread id to Hyena.Log when debugging.
  * Fix file location queries (bgo#612152)
  * Make CryptoUtil.Md5Encode thread-safe
  * [Json] Add serializer
  * New Hyena.Metrics classes for instrumenting apps
  * More extensive platform detection probing
  * Bundle HttpUtility; dependency on System.Web (bgo#607713)
  Hyena.Gui
  * New ListView grid mode
  * Fix ListView a11y crasher (bgo#615892).
  * [Hyena.Gui] Fix ActionManager toolitem icon sizing bgo#609265
  Hyena.Data.Sqlite:
  * Add HYENA_MD5 method
  * Extend SqliteConnection to handle double and nullable values.
  * Case-insensitive column checks
  * Add BinaryFunction class; Lets extensions etc call custom methods
  from SQL even if they're not loaded initially
  * Fix exception handling (bgo#609799)
* Fri May  7 2010 gburt@suse.de
- Version 0.3
  * Fixes and enhancements from Banshee
* Wed Sep  9 2009 gburt@suse.de
- Version 0.2
  * Fixes libdir expansion issue
  * Fixes dll mappings for *bsd
* Tue Aug 18 2009 gburt@suse.de
- Version 0.1
* Thu Aug 13 2009 gburt@suse.de
- Initial release
